#! /bin/bash
## Przygotowanie listy repozytoriów
sudo mv /etc/apt/sources.list /etc/apt/sources.list.org
# sudo mv /etc/apt/preferences /etc/apt/preferences.org
sudo cp ./sources.list /etc/apt
sudo cp ./apt.conf /etc/apt
sudo chown root:root /etc/apt/sources.list /etc/apt/apt.conf
sudo chmod 644 /etc/apt/sources.list /etc/apt/apt.conf

## Aktualizacja repozytoriów
sudo apt-get update
## Instalacja pakietów z kluczami podpisującymi dodane repozytoria
sudo apt-get install deb-multimedia-keyring --yes --force-yes
sudo apt-get install pkg-mozilla-archive-keyring --yes --force-yes
#sudo apt-get install snowlinux-keyring --yes --force-yes
## Ponowna aktualizacja repozytoriów i aktualizacja systemu
sudo apt-get update
sudo apt-get dist-upgrade --yes --force-yes
## W razie problemów można próbować: sudo apt-get install -f
sudo apt-get autoremove --purge

## Od tego momentu wszystko jest OPCJONALNE

## Instalacja serwera ssh (dostęp zdalny)
sudo apt-get install openssh-server --yes --force-yes

## Instalacja programów:
## 1) phatch - wsadowa obróbka grafiki
## 2) inkscape - zaawansowany edytor grafiki wektorowej
## 3) mousepad - prosty edytor tekstu
## 4) bluefish - zaawansowany edytor HTML, PHP, JavaScript
## 5) geany - zaawansowany edytor programistyczny (cpp, pas, HTML, PHP itd.)
sudo apt-get install phatch inkscape mousepad --yes --force-yes
sudo apt-get install -t wheezy-backports bluefish geany geany-plugins

## Instalacja środowiska Runtime Javy w wersji 7 Openjdk
sudo apt-get install openjdk-7-jre icedtea-7-plugin --yes --force-yes

## Instalacja wtyczki odtwarzającej wideo w przegladarkach orach silnika pixbuf (warto!!!)
sudo apt-get install browser-plugin-vlc gtk2-engines-pixbuf --yes --force-yes

## Zupełnie opcjonalna instalacja serwera WWW Apache i interpretera PHP
## Konieczna jest konfiguracja opisana osobno w serwisie ecg.vot.pl
sudo apt-get install apache2 php5 php5-fpm php5-gd php5-sqlite php5-curl libapache2-mod-fastcgi --yes --force-yes
#sudo a2enmod php5-fpm actions rewrite userdir vhost_alias mpm_worker #sudo a2dismod mpm_event

## Instalacja najnowszej wersji przeglądarki Iceweasel (Firefox)
## Jeżeli po uruchomieniu brak polskiego języka należy w terminalu jeszcze raz wydać polecenie:
## sudo apt-get install -t wheezy-backports iceweasel-l10n-pl --yes --froce-yes
sudo apt-get install -t wheezy-backports iceweasel --yes --froce-yes
sudo apt-get install -t wheezy-backports iceweasel-l10n-pl --yes --froce-yes

## Opcjonalna instalacja pakietów do utrzymywania "porządku" w systemie
## Uwaga podczas instalacji localepurge wyświetli się okno wyboru języków, które mają zostać zachowane.
## Należy zaznaczyć en en_US.UTF-8 pl pl_PL.UTF-8
sudo apt-get install deborphan localepurge

## Czyszczenie lokalnej bazy pakietów oraz usuwanie pakietów niepotrzebnych (wymaga potwierdzenia!!!)
sudo apt-get autoclean
sudo apt-get autoremove --purge

## Instalacja zestawu ikon Faenza (polecam)
## Po uruchomieniu skrptu instalacyjnego wybieramy kolejno zatwierdzając Enterem: y, D, D, y, D.
if [ -e faenza-icon-theme_1.3.zip ]; then
  unzip faenza-icon-theme_1.3.zip
  sudo ./INSTALL
fi

## Uwaga: zastąpienie domyślnej konfiguracji użytkownika w katalogu /etc/skel
## Warto, dzięki temu konta użytkowników, których dodamy do systemu będą miały m.in.:
## polskie menu w Openboksie, polskie informacje na pulpicie, polskie katalogi w folderze domowym,
## domyślnie skonfigurowany wygląd XFCE4, itp.
if [ -e skel.tar.gz ]; then
  sudo rm -rf /etc/skel/*
  sudo tar xpsvf skel.tar.gz -C /etc/skel
fi

## Zastąpienie angielskojęzycznych skryptów CB wersjami przetłumaczonymi
## (zdecydowanie warto)
if [ -e cb.tar.gz ]; then
  sudo tar xpsvf cb.tar.gz -C /usr/bin
fi

#rm -r ./*
#rm .config/user-dirs.dirs
#.config/user-dirs.locale pl_PL
#xdg-user-dirs-update
